## nodeenv 0.13.4

=== Makefile ===
.PHONY: default deploy deploy-github deploy-pypi update-pypi clean tests env

default:
	: do nothing when dpkg-buildpackage runs this project Makefile

deploy-github:
	git tag `grep "nodeenv_version =" nodeenv.py | grep -o -E '[0-9]\.[0-9]{1,2}\.[0-9]{1,2}'`
	git push --tags origin master

deploy-pypi:
	python setup.py sdist upload

update-pypi:
	python setup.py register

deploy: contributors deploy-github deploy-pypi

clean:
	@rm -rf nodeenv.egg-info/
	@rm -rf dist/
	@rm -rf build/
	@rm -rf env/
	@rm -rf nodeenv/

env:
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install

test1: clean
	@echo " ="
	@echo " = test1: separate nodejs's env"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		rm -rf nodeenv                    && \
		nodeenv -j 4 nodeenv

test2: clean
	@echo " ="
	@echo " = test2: the same virtualenv's env, with 4 jobs"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		nodeenv -j 4 -p

test3: clean
	@echo " ="
	@echo " = test3: the same virtualenv's env, without any params"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		nodeenv -p

# https://github.com/ekalinin/nodeenv/issues/43
test4: clean
	@echo " ="
	@echo " = test4: separate nodejs's env for python3.4"
	@echo " ="
	@rm -rf env                                                 && \
		virtualenv --no-site-packages --python=python3.4 env    && \
		. env/bin/activate                                      && \
		python setup.py install                                 && \
		nodeenv 4 -p --prebuilt                                 && \
		nodeenv -p --node=system

test5: clean
	@echo " ="
	@echo " = test5: prebuilt nodejs's env for python2"
	@echo " ="
	@rm -rf env                                 && \
		virtualenv --no-site-packages --python=python2.7 env    && \
		. env/bin/activate                      && \
		python setup.py install                 && \
		nodeenv 4 -p --prebuilt                 && \
		nodeenv -p --node=system

test6: clean
	@echo " ="
	@echo " = test6: separate iojs's env"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		nodeenv -p --prebuilt --iojs

test7: clean
	@echo " ="
	@echo " = test7: freeze for global installation"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		nodeenv -j 4 -p --prebuilt        && \
		. env/bin/activate                && \
		npm install -g sitemap 			  && \
		test "`freeze | wc -l`" = "1";

test8: clean
	@echo " ="
	@echo " = test8: unicode paths, #49"
	@echo " ="
	@rm -rf env                           && \
		virtualenv --no-site-packages env && \
		. env/bin/activate                && \
		python setup.py install           && \
		rm -rf öäü && mkdir öäü && cd öäü && \
		nodeenv -j 4 --prebuilt env

tests: clean test1 test2 test3 test4 test5 test6 test7 test8 clean

contributors:
	@echo "Nodeenv is written and maintained by Eugene Kalinin." > AUTHORS
	@echo "" >> AUTHORS
	@echo "Patches and Suggestions" >> AUTHORS
	@echo '```````````````````````' >> AUTHORS
	@echo "" >> AUTHORS
	@git log --raw | grep "^Author: " | \
		sort | uniq -c | sort -n -r | \
		cut -d ':' -f 2 | sed 's/^/- /' | \
		cut -d '<' -f1 | uniq | grep -v Kalinin >> AUTHORS

## nodeenv 0.13.3

=== debian/changelog ===
nodeenv (0.13.3-1) unstable; urgency=medium

  * New upstream version

 -- Chris Kuehl <ckuehl@ocf.berkeley.edu>  Sat, 25 Jul 2015 13:13:01 -0700

nodeenv (0.13.2-1) unstable; urgency=medium

  * Initial release. (Closes: #792010)

 -- Chris Kuehl <ckuehl@ocf.berkeley.edu>  Sat, 04 Jul 2015 00:40:02 -0700

=== debian/control ===
Source: nodeenv
Section: utils
Priority: extra
Maintainer: Chris Kuehl <ckuehl@ocf.berkeley.edu>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-pkg-resources,
               python3-pkginfo,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Git: https://github.com/chriskuehl/nodeenv.git
Vcs-Browser: https://github.com/chriskuehl/nodeenv
Homepage: https://ekalinin.github.io/nodeenv/

Package: nodeenv
Recommends: gcc (>= 4:4.9.1), g++ (>= 4:4.9.1), libssl-dev, python
Suggests: nodejs
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}, make
Description: Node.js virtual environment builder
 Tool to create isolated node.js environments with their own installation
 directories that don't share libraries with other node.js virtual
 environments, similar to a Python virtualenv.
 .
 These environments can be integrated with ones created by Python's virtualenv.

## nodeenv 0.13.4

=== debian/changelog ===
nodeenv (0.13.4-1) unstable; urgency=medium

  * New upstream version
  * Fix dependencies if the user chooses not to install the recommends.
    (Closes: #795622)

 -- Chris Kuehl <ckuehl@ocf.berkeley.edu>  Mon, 31 Aug 2015 12:18:09 -0700

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,9 @@
 Homepage: https://ekalinin.github.io/nodeenv/
 
 Package: nodeenv
-Recommends: gcc (>= 4:4.9.1), g++ (>= 4:4.9.1), libssl-dev, python
-Suggests: nodejs
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}, make
+Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}, make,
+ gcc (>= 4:4.9.1) | nodejs, g++ (>= 4:4.9.1) | nodejs, libssl-dev | nodejs, python2.7 | nodejs
 Description: Node.js virtual environment builder
  Tool to create isolated node.js environments with their own installation
  directories that don't share libraries with other node.js virtual

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=nodeenv

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild

## nodeenv 1.9.1

=== debian/changelog ===
nodeenv (1.9.1-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100246).

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Mar 2025 10:40:33 +0000

nodeenv (1.9.1-2) unstable; urgency=medium

  * Team upload.
  * Aslo remove python3-pkg-resources from runtime dependencies

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 21:23:01 +0100

nodeenv (1.9.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.9.1 (Closes: #1085742, #1084588)
  * Load on Salsa
  * Use DebHelper 13
  * Set Rules-Requires-Root: no
  * Update build-depencies:
    - python3-pkg-resources (Closes: #1083508)
    - python3-pkginfo
    - python3-setuptools
    + pybuild-plugin-pyproject
    + python3-pytest

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Nov 2024 09:56:27 +0100

nodeenv (0.13.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace spurious python2.7 dependency with python3; Closes: #937150

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Mar 2020 22:05:05 -0400

=== debian/control ===
Source: nodeenv
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Chris Kuehl <ckuehl@ocf.berkeley.edu>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/nodeenv.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nodeenv
Homepage: https://ekalinin.github.io/nodeenv/

Package: nodeenv
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 make,
 gcc (>= 4:4.9.1) | nodejs,
 g++ (>= 4:4.9.1) | nodejs,
 libssl-dev | nodejs,
 python3 | nodejs
Description: Node.js virtual environment builder
 Tool to create isolated node.js environments with their own installation
 directories that don't share libraries with other node.js virtual
 environments, similar to a Python virtualenv.
 .
 These environments can be integrated with ones created by Python's virtualenv.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=nodeenv
export PYBUILD_TEST_ARGS=-k 'not test_smoke'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/nodeenv/nodeenv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
